> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 上流呼び出し詳細

> 1 件の上流呼び出し全文。

**`GET`** `https://api-datahub.octoparse.com/v1/runs/{run_id}/upstream-calls/{call_id}`

認証：APIキー必須。App 作者（発行者）のみ。他者は `404`。

1 トレイルの完全キャプチャ: リクエスト（query/body）とレスポンス body。過大 body は書き込み時切詰め。

## リクエスト

### パスパラメータ

<ParamField path="run_id" type="string" required>
  Debug run id.
</ParamField>

<ParamField path="call_id" type="integer" required>
  一覧の `items[].call_id` のトレイル id。
</ParamField>

### リクエスト例

```bash theme={null}
curl \
  -H "Authorization: Bearer $OCTOPARSE_API_KEY" \
  "https://api-datahub.octoparse.com/v1/runs/run_c62bc0fb8df2/upstream-calls/1"
```

## レスポンス

### 200 成功

```json theme={null}
{
  "data": {
    "call_id": 0,
    "attempt": 0,
    "seq": 0,
    "stage": "string",
    "method": "string",
    "url": "string",
    "status_code": 0,
    "error": "string",
    "duration_ms": 0,
    "response_truncated": false,
    "created_at": "string",
    "request": {},
    "response_body": "string"
  }
}
```

ペイロードは `data` に包まれます。フィールド:

<ResponseField name="call_id" type="integer" required>
  —
</ResponseField>

<ResponseField name="attempt" type="integer" required>
  —
</ResponseField>

<ResponseField name="seq" type="integer" required>
  —
</ResponseField>

<ResponseField name="stage" type="string" required>
  —
</ResponseField>

<ResponseField name="method" type="string" required>
  —
</ResponseField>

<ResponseField name="url" type="string" required>
  —
</ResponseField>

<ResponseField name="status_code" type="integer">
  —
</ResponseField>

<ResponseField name="error" type="string">
  —
</ResponseField>

<ResponseField name="duration_ms" type="integer">
  —
</ResponseField>

<ResponseField name="response_truncated" type="boolean">
  レスポンス body が書き込み時に切られたか。
</ResponseField>

<ResponseField name="created_at" type="string" required>
  —
</ResponseField>

<ResponseField name="request" type="object">
  Request content (query / headers / body; sensitive values redacted).
</ResponseField>

<ResponseField name="response_body" type="string">
  Upstream response body.
</ResponseField>

### エラー

| HTTP | `code`                     | `category`  | Description                                       |
| ---- | -------------------------- | ----------- | ------------------------------------------------- |
| 401  | `unauthorized`             | `forbidden` | API キー欠落または無効。                                    |
| 404  | `upstream-calls-not-found` | `not_found` | 上流トレイルはデバッグ実行（`run_kind=test`）のみ。本番・他人・不存在はこのエラー。 |

エラー応答は `{"error": {code, category, message, retryable}}` です。<a href="/docs/jp/datahub/api/reference/introduction#errors">エラー</a> を参照。

## クライアントライブラリ

Python / JavaScript SDK はまだこのエンドポイントをラップしていません。REST を直接呼び出してください。
